<?php

namespace App\View\Components;

use Illuminate\View\Component;

class Table extends Component
{
    public $headers;
    public $rows;
    public $striped;
    public $hover;
    public $sticky;

    public function __construct($headers = [], $rows = [], $striped = true, $hover = true, $sticky = true)
    {
        $this->headers = $headers;
        $this->rows = $rows;
        $this->striped = $striped;
        $this->hover = $hover;
        $this->sticky = $sticky;
    }

    public function render()
    {
        return view('components.table');
    }
}
